#### PyKDE - Python Bindings for KDE

# class KArchiveDirectory |
Table of contents
Modules
tdeio Classes
All Classes

Module | tdeio
Class | KArchiveDirectory
Inherits | KArchiveEntry

### methods

- KArchiveDirectory (archive, name, access, date, user, group, symlink)

  returns a KArchiveDirectory instance
  Argument | Type | Default
  --- | --- | ---
  archive | KArchive |
  name | TQString |
  access | int |
  date | int |
  user | TQString |
  group | TQString |
  symlink | TQString |

- addEntry (a0)

  returns nothing
  Argument | Type | Default
  --- | --- | ---
  a0 | KArchiveEntry |

- copyTo (dest, recursive = 1)

  returns nothing
  In versions KDE 3.1.0 and above only
  Argument | Type | Default
  --- | --- | ---
  dest | TQString |
  recursive | bool | 1

- entries ()

  returns (TQStringList)

- entry (name)

  returns (KArchiveEntry)
  Argument | Type | Default
  --- | --- | ---
  name | TQString |

- isDirectory ()

  returns (bool)